Package pyplusplus :: Package function_transformers :: Module controllers :: Class virtual_mem_fun_controller_t :: Class override_fun_controller_t

# type override_fun_controller_t

source code

           object --+
                    |
    controller_base_t --+
                        |
                       virtual_mem_fun_controller_t.override_fun_controller_t

Instance Methods

__init__(self, function) | source code

declare_py_variable(self, type, name, initialize_expr=`'````'`) | source code

register_py_variable_name(self, name) | source code

add_py_pre_call_code(self, code) | source code

add_py_post_call_code(self, code) | source code

remove_py_arg(self, index) | source code

modify_py_arg_expression(self, index, expression) | source code

Inherited from `controller_base_t`: `apply`

Properties
| template
| py_variables
| py_function_var
| py_pre_call
| py_post_call
| py_result_variable
| py_arg_expressions
Inherited from `controller_base_t`: `function`

Method Details

### __init__(self, function)
(Constructor)

source code

Overrides: controller_base_t.__init__

Property Details

### template

### py_variables

### py_function_var

### py_pre_call

### py_post_call

### py_result_variable

### py_arg_expressions